Generation Framework

## org.eclipse.gmf.gmfgraph
Interface CustomFigure

All Superinterfaces:
  AbstractFigure, CustomClass, org.eclipse.emf.ecore.EObject, Figure, Layoutable, org.eclipse.emf.common.notify.Notifier, RealFigure

All Known Subinterfaces:
  CustomConnection, CustomDecoration

All Known Implementing Classes:
  CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl

    public interface CustomFigure

extends RealFigure, CustomClass

A representation of the model object 'Custom Figure'. Any figure class provided by some bundle

The following features are supported:

- `Custom Children`

See Also:
  `GMFGraphPackage.getCustomFigure()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<FigureAccessor>` `getCustomChildren()` Returns the value of the 'Custom Children' containment reference list.

Methods inherited from interface org.eclipse.gmf.gmfgraph.RealFigure
`getChildren, getName, setName`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Figure
`getBackgroundColor, getBorder, getDescriptor, getFont, getForegroundColor, getInsets, getLocation, getMaximumSize, getMinimumSize, getPreferredSize, getSize, setBackgroundColor, setBorder, setFont, setForegroundColor, setInsets, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.gmf.gmfgraph.CustomClass
`getAttributes, getQualifiedClassName, setQualifiedClassName`

Method Detail

### getCustomChildren

    org.eclipse.emf.common.util.EList<FigureAccessor> getCustomChildren()

  Returns the value of the 'Custom Children' containment reference list. The list contents are of type `FigureAccessor`.

  If the meaning of the 'Custom Children' containment reference list isn't clear, there really should be more of a description here...

  Childrent enumerated with this feature are mere 'access points' to actual structure of the CustomFigure. They are not created, unlike those contained in regular Figure#children

  Returns:
    the value of the 'Custom Children' containment reference list.
  See Also:
    `GMFGraphPackage.getCustomFigure_CustomChildren()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.gmfgraph.FigureAccessor" containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.